package sgc.portal.cw.cw0626.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0626.dto.CW06260001USearch;
import sgc.portal.cw.cw0626.model.CW06260001U;
import sgc.portal.cw.cw0626.service.CW06260001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0626")
public class CW06260001UController {
    private final CW06260001UService service;

    public CW06260001UController(CW06260001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06260001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06260001USearch search) {
        return service.getList(search);
    }

    @PostMapping("/CW06260001U/save")
    public Map<String, String> save(@RequestBody List<CW06260001U> CW06260001U) {
    	return service.save(CW06260001U);
    }
}
